<script setup>
import { useStore } from "vuex";

defineProps({
  showSearch: Boolean,
});

const store = useStore();

const onKeyUp = (event) => {
  store.commit("setSearchText", event.target.value.trim());
};
</script>

<template>
  <nav
    class="sticky top-0 bg-yellow-500 p-4 mb-3 flex justify-between items-center"
  >
    <router-link to="/questions" class="font-bold"
      >Time to get the result
    </router-link>
    <div>
      <input
        v-if="showSearch"
        class="rounded px-4 py-1 mr-3"
        type="text"
        placeholder="Search a Q ..."
        @keyup="onKeyUp"
      />
      <!-- <router-link to="/result">Result</router-link> -->
    </div>
  </nav>
</template>
